%global framework libkleo

Name:    kf5-%{framework}
Version: 23.08.4
Release:    1%{?dist}
Summary: KDE PIM cryptographic library

License: GPLv2+
URL:     https://invent.kde.org/frameworks/%{framework}/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        https://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz


BuildRequires:  boost-devel

BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  gpgmepp-devel >= 1.7.1
BuildRequires:  qgpgme-devel
BuildRequires:  libassuan-devel
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
%global majmin_ver %(echo %{version} | cut -d. -f1,2)


Recommends:     pinentry-gui

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       cmake(Gpgmepp)
Requires:       cmake(QGpgme)
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html



%files -f %{name}.lang
%license LICENSES/*
%{_kf5_sysconfdir}/xdg/libkleopatrarc
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5Libkleo.so.*
%{_kf5_datadir}/libkleopatra/

%files devel
%{_kf5_libdir}/libKPim5Libkleo.so
%{_kf5_libdir}/cmake/KF5Libkleo/
%{_kf5_libdir}/cmake/KPim5Libkleo/
%{_includedir}/KPim5/Libkleo/
%{_kf5_archdatadir}/mkspecs/modules/qt_Libkleo.pri


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
